Index: doc/pgjdbc.xml
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/doc/pgjdbc.xml,v
retrieving revision 1.40
diff -c -r1.40 pgjdbc.xml
*** doc/pgjdbc.xml	25 Dec 2010 07:07:44 -0000	1.40
--- doc/pgjdbc.xml	18 Apr 2011 16:32:49 -0000
***************
*** 179,185 ****
      encoding and you will have problems the moment you store data in it that
      does not fit in the seven bit <acronym>ASCII</acronym> character set.
      If you do not know what your encoding will be or are otherwise unsure
!     about what you will be storing the <literal>UNICODE</literal> encoding
      is a reasonable default to use.
     </para>
    </sect1>
--- 179,185 ----
      encoding and you will have problems the moment you store data in it that
      does not fit in the seven bit <acronym>ASCII</acronym> character set.
      If you do not know what your encoding will be or are otherwise unsure
!     about what you will be storing the <literal>UTF8</literal> encoding
      is a reasonable default to use.
     </para>
    </sect1>
Index: org/postgresql/core/BaseConnection.java
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/core/BaseConnection.java,v
retrieving revision 1.23
diff -c -r1.23 BaseConnection.java
*** org/postgresql/core/BaseConnection.java	1 May 2010 14:40:51 -0000	1.23
--- org/postgresql/core/BaseConnection.java	18 Apr 2011 16:32:49 -0000
***************
*** 96,102 ****
  
      /**
       * Encode a string using the database's client_encoding
!      * (usually UNICODE, but can vary on older server versions).
       * This is used when constructing synthetic resultsets (for
       * example, in metadata methods).
       *
--- 96,102 ----
  
      /**
       * Encode a string using the database's client_encoding
!      * (usually UTF8, but can vary on older server versions).
       * This is used when constructing synthetic resultsets (for
       * example, in metadata methods).
       *
Index: org/postgresql/core/v2/ConnectionFactoryImpl.java
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/core/v2/ConnectionFactoryImpl.java,v
retrieving revision 1.21
diff -c -r1.21 ConnectionFactoryImpl.java
*** org/postgresql/core/v2/ConnectionFactoryImpl.java	31 Mar 2011 03:06:38 -0000	1.21
--- org/postgresql/core/v2/ConnectionFactoryImpl.java	18 Apr 2011 16:32:49 -0000
***************
*** 380,388 ****
              // 7.3 server that defaults to autocommit = off.
  
              if (logger.logDebug())
!                 logger.debug("Switching to UNICODE client_encoding");
  
!             String sql = "begin; set autocommit = on; set client_encoding = 'UNICODE'; ";
              if (dbVersion.compareTo("9.0") >= 0) {
                  sql += "SET extra_float_digits=3; ";
              } else if (dbVersion.compareTo("7.4") >= 0) {
--- 380,388 ----
              // 7.3 server that defaults to autocommit = off.
  
              if (logger.logDebug())
!                 logger.debug("Switching to UTF8 client_encoding");
  
!             String sql = "begin; set autocommit = on; set client_encoding = 'UTF8'; ";
              if (dbVersion.compareTo("9.0") >= 0) {
                  sql += "SET extra_float_digits=3; ";
              } else if (dbVersion.compareTo("7.4") >= 0) {
***************
*** 391,397 ****
              sql += "commit";
  
              SetupQueryRunner.run(protoConnection, sql, false);
!             protoConnection.setEncoding(Encoding.getDatabaseEncoding("UNICODE"));
          }
          else
          {
--- 391,397 ----
              sql += "commit";
  
              SetupQueryRunner.run(protoConnection, sql, false);
!             protoConnection.setEncoding(Encoding.getDatabaseEncoding("UTF8"));
          }
          else
          {
Index: org/postgresql/core/v3/ConnectionFactoryImpl.java
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/core/v3/ConnectionFactoryImpl.java,v
retrieving revision 1.24
diff -c -r1.24 ConnectionFactoryImpl.java
*** org/postgresql/core/v3/ConnectionFactoryImpl.java	31 Mar 2011 03:06:39 -0000	1.24
--- org/postgresql/core/v3/ConnectionFactoryImpl.java	18 Apr 2011 16:32:49 -0000
***************
*** 97,103 ****
              String[][] params = {
                                      { "user", user },
                                      { "database", database },
!                                     { "client_encoding", "UNICODE" },
                                      { "DateStyle", "ISO" },
                                      { "extra_float_digits", "2" }
                                  };
--- 97,103 ----
              String[][] params = {
                                      { "user", user },
                                      { "database", database },
!                                     { "client_encoding", "UTF8" },
                                      { "DateStyle", "ISO" },
                                      { "extra_float_digits", "2" }
                                  };
***************
*** 494,502 ****
                      protoConnection.setServerVersion(value);
                  else if (name.equals("client_encoding"))
                  {
!                     if (!value.equals("UNICODE"))
                          throw new PSQLException(GT.tr("Protocol error.  Session setup failed."), PSQLState.PROTOCOL_VIOLATION);
!                     pgStream.setEncoding(Encoding.getDatabaseEncoding("UNICODE"));
                  }
                  else if (name.equals("standard_conforming_strings"))
                  {
--- 494,502 ----
                      protoConnection.setServerVersion(value);
                  else if (name.equals("client_encoding"))
                  {
!                     if (!value.equals("UTF8"))
                          throw new PSQLException(GT.tr("Protocol error.  Session setup failed."), PSQLState.PROTOCOL_VIOLATION);
!                     pgStream.setEncoding(Encoding.getDatabaseEncoding("UTF8"));
                  }
                  else if (name.equals("standard_conforming_strings"))
                  {
Index: org/postgresql/core/v3/QueryExecutorImpl.java
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/core/v3/QueryExecutorImpl.java,v
retrieving revision 1.52
diff -c -r1.52 QueryExecutorImpl.java
*** org/postgresql/core/v3/QueryExecutorImpl.java	2 Apr 2011 08:29:57 -0000	1.52
--- org/postgresql/core/v3/QueryExecutorImpl.java	18 Apr 2011 16:32:50 -0000
***************
*** 1869,1878 ****
                      if (logger.logDebug())
                          logger.debug(" <=BE ParameterStatus(" + name + " = " + value + ")");
  
!                     if (name.equals("client_encoding") && !(value.equalsIgnoreCase("UNICODE") || value.equalsIgnoreCase("UTF8")) && !allowEncodingChanges)
                      {
                          protoConnection.close(); // we're screwed now; we can't trust any subsequent string.
!                         handler.handleError(new PSQLException(GT.tr("The server''s client_encoding parameter was changed to {0}. The JDBC driver requires client_encoding to be UNICODE for correct operation.", value), PSQLState.CONNECTION_FAILURE));
                          endQuery = true;
                      }
  
--- 1869,1878 ----
                      if (logger.logDebug())
                          logger.debug(" <=BE ParameterStatus(" + name + " = " + value + ")");
  
!                     if (name.equals("client_encoding") && !value.equalsIgnoreCase("UTF8") && !allowEncodingChanges)
                      {
                          protoConnection.close(); // we're screwed now; we can't trust any subsequent string.
!                         handler.handleError(new PSQLException(GT.tr("The server''s client_encoding parameter was changed to {0}. The JDBC driver requires client_encoding to be UTF8 for correct operation.", value), PSQLState.CONNECTION_FAILURE));
                          endQuery = true;
                      }
  
Index: org/postgresql/jdbc3/AbstractJdbc3Statement.java
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/jdbc3/AbstractJdbc3Statement.java,v
retrieving revision 1.24
diff -c -r1.24 AbstractJdbc3Statement.java
*** org/postgresql/jdbc3/AbstractJdbc3Statement.java	28 Jan 2009 09:50:21 -0000	1.24
--- org/postgresql/jdbc3/AbstractJdbc3Statement.java	18 Apr 2011 16:32:50 -0000
***************
*** 936,946 ****
      /**
       * Sets the designated parameter to the given <code>Reader</code>
       * object, which is the given number of characters long.
!      * When a very large UNICODE value is input to a <code>LONGVARCHAR</code>
       * parameter, it may be more practical to send it via a
       * <code>java.io.Reader</code> object. The data will be read from the stream
       * as needed until end-of-file is reached. The JDBC driver will
!      * do any necessary conversion from UNICODE to the database char format.
       *
       * <P><B>Note:</B> This stream object can either be a standard
       * Java stream object or your own subclass that implements the
--- 936,946 ----
      /**
       * Sets the designated parameter to the given <code>Reader</code>
       * object, which is the given number of characters long.
!      * When a very large UTF8 value is input to a <code>LONGVARCHAR</code>
       * parameter, it may be more practical to send it via a
       * <code>java.io.Reader</code> object. The data will be read from the stream
       * as needed until end-of-file is reached. The JDBC driver will
!      * do any necessary conversion from UTF8 to the database char format.
       *
       * <P><B>Note:</B> This stream object can either be a standard
       * Java stream object or your own subclass that implements the
***************
*** 948,954 ****
       *
       * @param parameterName the name of the parameter
       * @param reader the <code>java.io.Reader</code> object that
!      *    contains the UNICODE data used as the designated parameter
       * @param length the number of characters in the stream
       * @exception SQLException if a database access error occurs
       * @since 1.4
--- 948,954 ----
       *
       * @param parameterName the name of the parameter
       * @param reader the <code>java.io.Reader</code> object that
!      *    contains the UTF8 data used as the designated parameter
       * @param length the number of characters in the stream
       * @exception SQLException if a database access error occurs
       * @since 1.4
Index: org/postgresql/test/jdbc2/DatabaseEncodingTest.java
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/test/jdbc2/DatabaseEncodingTest.java,v
retrieving revision 1.8
diff -c -r1.8 DatabaseEncodingTest.java
*** org/postgresql/test/jdbc2/DatabaseEncodingTest.java	8 Jan 2008 06:56:30 -0000	1.8
--- org/postgresql/test/jdbc2/DatabaseEncodingTest.java	18 Apr 2011 16:32:50 -0000
***************
*** 70,86 ****
      }
  
      public void testEncoding() throws Exception {
!         // Check that we have a UNICODE server encoding, or we must skip this test.
          Statement stmt = con.createStatement();
          ResultSet rs = stmt.executeQuery("SELECT getdatabaseencoding()");
          assertTrue(rs.next());
  
          String dbEncoding = rs.getString(1);
!         if (!dbEncoding.equals("UNICODE") && !dbEncoding.equals("UTF8"))
          {
!             System.err.println("DatabaseEncodingTest: Skipping UNICODE database tests as test database encoding is " + dbEncoding);
              rs.close();
!             return ; // not a UNICODE database.
          }
  
          rs.close();
--- 70,86 ----
      }
  
      public void testEncoding() throws Exception {
!         // Check that we have a UTF8 server encoding, or we must skip this test.
          Statement stmt = con.createStatement();
          ResultSet rs = stmt.executeQuery("SELECT getdatabaseencoding()");
          assertTrue(rs.next());
  
          String dbEncoding = rs.getString(1);
!         if (!dbEncoding.equals("UTF8"))
          {
!             System.err.println("DatabaseEncodingTest: Skipping UTF8 database tests as test database encoding is " + dbEncoding);
              rs.close();
!             return ; // not a UTF8 database.
          }
  
          rs.close();
Index: org/postgresql/test/jdbc2/EncodingTest.java
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/test/jdbc2/EncodingTest.java,v
retrieving revision 1.11
diff -c -r1.11 EncodingTest.java
*** org/postgresql/test/jdbc2/EncodingTest.java	19 Feb 2008 06:12:24 -0000	1.11
--- org/postgresql/test/jdbc2/EncodingTest.java	18 Apr 2011 16:32:50 -0000
***************
*** 32,38 ****
      public void testCreation() throws Exception
      {
          Encoding encoding;
!         encoding = Encoding.getDatabaseEncoding("UNICODE");
          assertEquals("UTF", encoding.name().substring(0, 3).toUpperCase(Locale.US));
          encoding = Encoding.getDatabaseEncoding("SQL_ASCII");
          assertTrue(encoding.name().toUpperCase(Locale.US).indexOf("ASCII") != -1);
--- 32,38 ----
      public void testCreation() throws Exception
      {
          Encoding encoding;
!         encoding = Encoding.getDatabaseEncoding("UTF8");
          assertEquals("UTF", encoding.name().substring(0, 3).toUpperCase(Locale.US));
          encoding = Encoding.getDatabaseEncoding("SQL_ASCII");
          assertTrue(encoding.name().toUpperCase(Locale.US).indexOf("ASCII") != -1);
***************
*** 43,49 ****
  
      public void testTransformations() throws Exception
      {
!         Encoding encoding = Encoding.getDatabaseEncoding("UNICODE");
          assertEquals("ab", encoding.decode(new byte[] { 97, 98 }));
  
          assertEquals(2, encoding.encode("ab").length);
--- 43,49 ----
  
      public void testTransformations() throws Exception
      {
!         Encoding encoding = Encoding.getDatabaseEncoding("UTF8");
          assertEquals("ab", encoding.decode(new byte[] { 97, 98 }));
  
          assertEquals(2, encoding.encode("ab").length);
Index: org/postgresql/translation/bg.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/bg.po,v
retrieving revision 1.1
diff -c -r1.1 bg.po
*** org/postgresql/translation/bg.po	28 Dec 2009 22:14:21 -0000	1.1
--- org/postgresql/translation/bg.po	18 Apr 2011 16:32:50 -0000
***************
*** 420,429 ****
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  "Параметърът client_encoding при сървъра бе променен на {0}. JDBC драйвъра "
! "изисква client_encoding да бъде UNICODE за да функционира правилно."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1856
  #, java-format
--- 420,429 ----
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  "Параметърът client_encoding при сървъра бе променен на {0}. JDBC драйвъра "
! "изисква client_encoding да бъде UTF8 за да функционира правилно."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1856
  #, java-format
Index: org/postgresql/translation/cs.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/cs.po,v
retrieving revision 1.2
diff -c -r1.2 cs.po
*** org/postgresql/translation/cs.po	22 Aug 2005 05:51:40 -0000	1.2
--- org/postgresql/translation/cs.po	18 Apr 2011 16:32:50 -0000
***************
*** 254,260 ****
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1330
--- 254,260 ----
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1330
Index: org/postgresql/translation/de.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/de.po,v
retrieving revision 1.10
diff -c -r1.10 de.po
*** org/postgresql/translation/de.po	19 Sep 2008 00:01:02 -0000	1.10
--- org/postgresql/translation/de.po	18 Apr 2011 16:32:51 -0000
***************
*** 303,312 ****
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  "Der Parameter ''client_encoding'' wurde auf dem Server auf {0} verndert. "
! "Der JDBC-Treiber setzt fr korrektes Funktionieren die Einstellung UNICODE "
  "voraus."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1373
--- 303,312 ----
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  "Der Parameter ''client_encoding'' wurde auf dem Server auf {0} verndert. "
! "Der JDBC-Treiber setzt fr korrektes Funktionieren die Einstellung UTF8 "
  "voraus."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1373
Index: org/postgresql/translation/es.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/es.po,v
retrieving revision 1.2
diff -c -r1.2 es.po
*** org/postgresql/translation/es.po	7 Nov 2004 22:17:10 -0000	1.2
--- org/postgresql/translation/es.po	18 Apr 2011 16:32:51 -0000
***************
*** 186,192 ****
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1028
  msgid ""
  "The server's client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1034
--- 186,192 ----
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1028
  msgid ""
  "The server's client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1034
Index: org/postgresql/translation/fr.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/fr.po,v
retrieving revision 1.8
diff -c -r1.8 fr.po
*** org/postgresql/translation/fr.po	27 Jul 2007 22:13:09 -0000	1.8
--- org/postgresql/translation/fr.po	18 Apr 2011 16:32:52 -0000
***************
*** 294,303 ****
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  "Le paramtre client_encoding du serveur a t chang pour {0}. Le pilote "
! "JDBC ncessite l''affectation de la valeur UNICODE  client_encoding pour un "
  "fonctionnement correct."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1361
--- 294,303 ----
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  "Le paramtre client_encoding du serveur a t chang pour {0}. Le pilote "
! "JDBC ncessite l''affectation de la valeur UTF8  client_encoding pour un "
  "fonctionnement correct."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1361
Index: org/postgresql/translation/it.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/it.po,v
retrieving revision 1.6
diff -c -r1.6 it.po
*** org/postgresql/translation/it.po	29 Jun 2006 23:29:39 -0000	1.6
--- org/postgresql/translation/it.po	18 Apr 2011 16:32:52 -0000
***************
*** 290,299 ****
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  "Il parametro client_encoding del server  stato cambiato in {0}. Il driver "
! "JDBC richiede che client_encoding sia UNICODE per un corretto "
  "funzionamento."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1357
--- 290,299 ----
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  "Il parametro client_encoding del server  stato cambiato in {0}. Il driver "
! "JDBC richiede che client_encoding sia UTF8 per un corretto "
  "funzionamento."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1357
Index: org/postgresql/translation/ja.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/ja.po,v
retrieving revision 1.2
diff -c -r1.2 ja.po
*** org/postgresql/translation/ja.po	5 May 2010 20:51:57 -0000	1.2
--- org/postgresql/translation/ja.po	18 Apr 2011 16:32:52 -0000
***************
*** 413,422 ****
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  "サーバーのclient_encodingパラメーターが {0} に変わりました、JDBCドライバー"
! "は、正しい操作のためclient_encodingをUNICODEにすることを要求します。"
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1856
  #, java-format
--- 413,422 ----
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  "サーバーのclient_encodingパラメーターが {0} に変わりました、JDBCドライバー"
! "は、正しい操作のためclient_encodingをUTF8にすることを要求します。"
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1856
  #, java-format
Index: org/postgresql/translation/nl.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/nl.po,v
retrieving revision 1.2
diff -c -r1.2 nl.po
*** org/postgresql/translation/nl.po	7 Nov 2004 22:17:10 -0000	1.2
--- org/postgresql/translation/nl.po	18 Apr 2011 16:32:52 -0000
***************
*** 167,173 ****
  #: org/postgresql/core/v3/QueryExecutorImpl.java:980
  msgid ""
  "The server's client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:986
--- 167,173 ----
  #: org/postgresql/core/v3/QueryExecutorImpl.java:980
  msgid ""
  "The server's client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:986
Index: org/postgresql/translation/pl.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/pl.po,v
retrieving revision 1.3
diff -c -r1.3 pl.po
*** org/postgresql/translation/pl.po	25 May 2005 06:09:26 -0000	1.3
--- org/postgresql/translation/pl.po	18 Apr 2011 16:32:52 -0000
***************
*** 216,222 ****
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1330
--- 216,222 ----
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1330
Index: org/postgresql/translation/pt_BR.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/pt_BR.po,v
retrieving revision 1.16
diff -c -r1.16 pt_BR.po
*** org/postgresql/translation/pt_BR.po	1 Jun 2009 23:40:46 -0000	1.16
--- org/postgresql/translation/pt_BR.po	18 Apr 2011 16:32:53 -0000
***************
*** 292,301 ****
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  "O parâmetro do servidor client_encoding foi alterado para {0}. O driver JDBC "
! "requer que o client_encoding seja UNICODE para operação normal."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1426
  #, java-format
--- 292,301 ----
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  "O parâmetro do servidor client_encoding foi alterado para {0}. O driver JDBC "
! "requer que o client_encoding seja UTF8 para operação normal."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1426
  #, java-format
Index: org/postgresql/translation/ru.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/ru.po,v
retrieving revision 1.6
diff -c -r1.6 ru.po
*** org/postgresql/translation/ru.po	22 May 2006 07:15:23 -0000	1.6
--- org/postgresql/translation/ru.po	18 Apr 2011 16:32:53 -0000
***************
*** 297,303 ****
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1357
--- 297,303 ----
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1357
Index: org/postgresql/translation/sr.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/sr.po,v
retrieving revision 1.3
diff -c -r1.3 sr.po
*** org/postgresql/translation/sr.po	1 Jun 2009 23:39:32 -0000	1.3
--- org/postgresql/translation/sr.po	18 Apr 2011 16:32:53 -0000
***************
*** 289,298 ****
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  "Serverov client_encoding parametar je promenjen u  {0}.JDBC darajver zahteva "
! "UNICODE client_encoding  za uspešno izvršavanje operacije."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1426
  #, java-format
--- 289,298 ----
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  "Serverov client_encoding parametar je promenjen u  {0}.JDBC darajver zahteva "
! "UTF8 client_encoding  za uspešno izvršavanje operacije."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1426
  #, java-format
Index: org/postgresql/translation/tr.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/tr.po,v
retrieving revision 1.10
diff -c -r1.10 tr.po
*** org/postgresql/translation/tr.po	2 Jun 2009 00:04:00 -0000	1.10
--- org/postgresql/translation/tr.po	18 Apr 2011 16:32:53 -0000
***************
*** 286,295 ****
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  "İstemcinin client_encoding parametresi {0} değerine değiştirilmiştir. JDBC "
! "sürücüsünün doğru çalışması için client_encoding parameteresinin UNICODE "
  "olması gerekir."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1426
--- 286,295 ----
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  "İstemcinin client_encoding parametresi {0} değerine değiştirilmiştir. JDBC "
! "sürücüsünün doğru çalışması için client_encoding parameteresinin UTF8 "
  "olması gerekir."
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1426
Index: org/postgresql/translation/zh_CN.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/zh_CN.po,v
retrieving revision 1.2
diff -c -r1.2 zh_CN.po
*** org/postgresql/translation/zh_CN.po	31 Jan 2008 08:58:24 -0000	1.2
--- org/postgresql/translation/zh_CN.po	18 Apr 2011 16:32:54 -0000
***************
*** 275,284 ****
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  "这服务器的 client_encoding 参数被改成 {0}，JDBC 驱动程序请求需要 "
! "client_encoding 为 UNICODE 以正确工作。"
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1373
  #, java-format
--- 275,284 ----
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  "这服务器的 client_encoding 参数被改成 {0}，JDBC 驱动程序请求需要 "
! "client_encoding 为 UTF8 以正确工作。"
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1373
  #, java-format
Index: org/postgresql/translation/zh_TW.po
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/translation/zh_TW.po,v
retrieving revision 1.4
diff -c -r1.4 zh_TW.po
*** org/postgresql/translation/zh_TW.po	30 Jan 2008 09:16:48 -0000	1.4
--- org/postgresql/translation/zh_TW.po	18 Apr 2011 16:32:54 -0000
***************
*** 275,284 ****
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UNICODE for correct operation."
  msgstr ""
  "這伺服器的 client_encoding 參數被改成 {0}，JDBC 驅動程式請求需要 "
! "client_encoding 為 UNICODE 以正確工作。"
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1373
  #, java-format
--- 275,284 ----
  #, java-format
  msgid ""
  "The server''s client_encoding parameter was changed to {0}. The JDBC driver "
! "requires client_encoding to be UTF8 for correct operation."
  msgstr ""
  "這伺服器的 client_encoding 參數被改成 {0}，JDBC 驅動程式請求需要 "
! "client_encoding 為 UTF8 以正確工作。"
  
  #: org/postgresql/core/v3/QueryExecutorImpl.java:1373
  #, java-format
